Subject: DLSw Keepalives

From: [email-masked]
Date: Thu, 22 Sep 94 18:47:42 EDT

>2) The 0x1D SSP message was introduced by IBM for this purpose.
>   IBM could tell us about the future of this message.  The existing
>   implementations which are compatible with the 6611 V1.1.1.2 should
>   support receiving this message.

Scott,
As you state, the 6611 introduced this message as a way to find out
about TCP connection failure.  It wasn't that TCP keepalive was
inadequate, just that there were shortcomings in our TCP that
made it difficult to find out when the connection failed.  We have
since found a better way to do this and will soon be removing 0x1D.
That's why Steve dropped it from the message types list long ago -
unlike messages such as *_BUSY, it was a short-term thing and
didn't seem necessary even for historical reference or backward
compatibility.

I agree with you that there are definitely customers who do not want
this sort of frame flowing, for cost reasons.  For those that do want
quick failure notification, TCP keepalives seem to me to be adequate
(unless you have a specific implementation problem to solve).
If several people agree they need or want a frame in addition to a
TCP keepalive, my opinion is that that would be ok as long as it's
not required to be implemented.  If we go this way, I think it should
definitely be a specific frame (hey, maybe 1D!) and not some weird
INFOFRAME or CANUREACH.

Maybe Louise can put this on the AIW6 agenda so we can discuss it
efficiently and decide a direction.  At one point I think someone
wanted a "poll" frame to measure round trip delay, so we would need
to be clear that this is not the same thing, and see how many folks
would like to see it added to the standard.
Peter